> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Delete a rule

`DELETE https://api.pagerduty.com/integration-jira-cloud/accounts_mappings/{id}/rules/{rule_id}`

Delete an existing rule.

Once a rule is deleted, the synchronization between PagerDuty Incidents and Jira Issues linked by the rule stops.

Scoped OAuth requires: `jira_cloud_rules.write`

## Authorization

- **apiKey** (apiKey) — `Authorization` header.
- **bearerAuth** (http) — HTTP bearer.

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string (PagerDuty Id) | yes | The ID of the account mapping. Pattern: `^(P[0-9A-Z]{6}\|Q[0-9A-Z]{13})$`. |
| `rule_id` | string (PagerDuty Id) | yes | The ID of the account rule. Pattern: `^(P[0-9A-Z]{6}\|Q[0-9A-Z]{13})$`. |

## Response 204

The rule was deleted successfully.

## Response 400

Caller provided invalid arguments.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Error code. |
| `error.errors` | array of string |  | Error details. |
| `error.message` | string |  | Error message. |

Example: Response Example

```json
{
  "error": {
    "code": 2001,
    "errors": [
      "Invalid value for field 'name'"
    ],
    "message": "Invalid Input Provided"
  }
}
```

## Response 401

Caller did not supply credentials or did not provide the correct credentials.

## Response 403

Caller is not authorized to manage the requested resource. While the authentication is valid,
the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Error code. |
| `error.errors` | array of string |  | Error details. |
| `error.message` | string |  | Error message. |

Example: Response Example

```json
{
  "error": {
    "errors": [],
    "message": "Forbidden"
  }
}
```

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Error code. |
| `error.errors` | array of string |  | Error details. |
| `error.message` | string |  | Error message. |

Example: Response Example

```json
{
  "error": {
    "code": 2020,
    "message": "Rate Limit Exceeded"
  }
}
```

## Response 500

Internal server error.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Error code. |
| `error.errors` | array of string |  | Error details. |
| `error.message` | string |  | Error message. |

Example: Response Example

```json
{
  "error": {
    "errors": [],
    "message": "Internal server error"
  }
}
```

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
